summaryrefslogtreecommitdiff
path: root/packages/webkit/files
diff options
context:
space:
mode:
authorDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
committerDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
commit709c4d66e0b107ca606941b988bad717c0b45d9b (patch)
tree37ee08b1eb308f3b2b6426d5793545c38396b838 /packages/webkit/files
parentfa6cd5a3b993f16c27de4ff82b42684516d433ba (diff)
rename packages/ to recipes/ per earlier agreement
See links below for more details: http://thread.gmane.org/gmane.comp.handhelds.openembedded/21326 http://thread.gmane.org/gmane.comp.handhelds.openembedded/21816 Signed-off-by: Denys Dmytriyenko <denis@denix.org> Acked-by: Mike Westerhof <mwester@dls.net> Acked-by: Philip Balister <philip@balister.org> Acked-by: Khem Raj <raj.khem@gmail.com> Acked-by: Marcin Juszkiewicz <hrw@openembedded.org> Acked-by: Koen Kooi <koen@openembedded.org> Acked-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
Diffstat (limited to 'packages/webkit/files')
-rw-r--r--packages/webkit/files/GNUmakefile.am378
-rw-r--r--packages/webkit/files/Makefile33
-rw-r--r--packages/webkit/files/Makefile.shared30
-rw-r--r--packages/webkit/files/WebKit.pri104
-rw-r--r--packages/webkit/files/WebKit.pro17
-rw-r--r--packages/webkit/files/acinclude.m4177
-rw-r--r--packages/webkit/files/autogen.sh45
-rw-r--r--packages/webkit/files/configure.ac507
8 files changed, 0 insertions, 1291 deletions
diff --git a/packages/webkit/files/GNUmakefile.am b/packages/webkit/files/GNUmakefile.am
deleted file mode 100644
index 977770a1ed..0000000000
--- a/packages/webkit/files/GNUmakefile.am
+++ /dev/null
@@ -1,378 +0,0 @@
-# Top-level Makefile rule for automake
-#
-# Variable conventions:
-#
-# _h_api = API headers that will be installed and included in the distribution
-# _cppflags = flags that will be passed to the C/CXX Preprocessor
-# _sources = sources that will be compiled and included in the distribution
-# _headers = header files that will be part of the distribution
-# _built_sources = files that will be autogenerated by the build system and
-# will be part of the _SOURCES primary
-# _built_nosources = files that are autogenerated but are not part of the
-# _SOURCES primary
-# _cleanfiles = files that will be removed by the clean target
-#
-# Sources, headers, flags, etc... should be added to the respective variables
-# with the above suffix, e.g, webcore-specific sources should go to
-# webcore_sources, gtk port-specific flags should go to webkitgtk_cppflags,
-# etc... The only exceptions are the global variables. See Global Variables below.
-#
-# Global Variables
-#
-# global_cppflags = CPPFLAGS that apply to JSC, WebCore, and to any
-# specific port
-# global_cflags = CFLAGS that apply to JSC, WebCore, and to
-# any specific port
-# global_cxxflags = CXXFLAGS that apply to JSC, WebCore, and to any
-# specific port
-
-srcdir = @srcdir@
-VPATH = @srcdir@
-
-# Directory for autogenerated sources
-GENSOURCES := $(top_builddir)/DerivedSources
-
-# Script for creating hash tables
-CREATE_HASH_TABLE = $(srcdir)/JavaScriptCore/kjs/create_hash_table
-
-# Libraries and support components
-noinst_HEADERS :=
-
-noinst_PROGRAMS :=
-
-lib_LIBRARIES :=
-
-IDL_BINDINGS :=
-
-# Files that will be distributed
-EXTRA_DIST :=
-
-#
-# Global flags to CPP
-global_cppflags :=
-
-global_cppflags += \
- -I$(srcdir)/JavaScriptCore \
- -I$(srcdir)/JavaScriptCore/ForwardingHeaders \
- -I$(srcdir)/JavaScriptCore/wtf \
- -I$(srcdir)/JavaScriptCore/kjs \
- -I$(top_builddir)/DerivedSources
-
-# Default compiler flags
-global_cflags := \
- -Wall -W -Wcast-align -Wchar-subscripts -Wreturn-type \
- -Wformat -Wformat-security -Wno-format-y2k -Wundef \
- -Wmissing-format-attribute -Wpointer-arith -Wwrite-strings \
- -Wno-unused-parameter
-
-global_cxxflags := \
- $(SYMBOL_VISIBILITY_INLINES)
-
-if !ENABLE_DEBUG
-global_cflags += \
- -fno-exceptions \
- $(SYMBOL_VISIBILITY)
-
-global_cxxflags += \
- -fno-rtti
-endif
-
-# Shared libraries
-lib_LTLIBRARIES = \
- libwebkit-1.0.la
-
-# Convenience libraries
-noinst_LTLIBRARIES = \
- libJavaScriptCore.la \
- libWebCore.la
-
-#
-# JavaScriptCore
-javascriptcore_h_api :=
-javascriptcore_cppflags:=
-javascriptcore_sources :=
-javascriptcore_built_sources :=
-javascriptcore_built_nosources :=
-
-# The variables above are already included below so no need to touch
-# these variables unless you really have to
-libJavaScriptCore_ladir = $(prefix)/include/webkit-1.0/JavaScriptCore
-libJavaScriptCore_la_HEADERS = $(javascriptcore_h_api)
-
-libJavaScriptCore_la_SOURCES = \
- $(javascriptcore_built_sources) \
- $(javascriptcore_sources)
-
-libJavaScriptCore_la_LIBADD = \
- $(ICU_LIBS) \
- $(GLOBALDEPS_LIBS) \
- -lpthread
-
-libJavaScriptCore_la_CXXFLAGS = \
- $(global_cxxflags) \
- $(global_cflags) \
- $(GLOBALDEPS_CFLAGS) \
- -fstrict-aliasing
-
-libJavaScriptCore_la_CFLAGS = \
- $(global_cflags) \
- $(GLOBALDEPS_CFLAGS) \
- -fstrict-aliasing
-
-libJavaScriptCore_la_CPPFLAGS = \
- $(global_cppflags) \
- $(javascriptcore_cppflags) \
- $(ICU_CPPFLAGS)
-
-#
-# WebCore
-webcore_cppflags :=
-webcore_sources :=
-webcore_headers :=
-webcore_libadd :=
-webcore_built_sources :=
-webcore_built_nosources :=
-
-webcore_cppflags += $(HILDON_CPPFLAGS)
-
-# WebKit
-webkitgtk_h_api :=
-webkitgtk_headers :=
-webkitgtk_sources :=
-webkitgtk_cppflags :=
-webkitgtk_built_sources :=
-webkitgtk_built_nosources :=
-webkitgtk_cleanfiles :=
-
-libWebCore_la_SOURCES = \
- $(webcore_built_sources) \
- $(webcore_headers) \
- $(webcore_sources)
-
-libWebCore_la_CXXFLAGS = \
- -fno-strict-aliasing \
- $(global_cxxflags) \
- $(global_cflags) \
- $(GLOBALDEPS_CFLAGS) \
- $(WEBKITDEPS_CFLAGS) \
- $(LIBCURL_CFLAGS) \
- $(SQLITE3_CFLAGS) \
- $(GSTREAMER_CFLAGS) \
- $(LIBXSLT_CFLAGS) \
- $(COVERAGE_CFLAGS) \
- $(HILDON_CFLAGS)
-
-libWebCore_la_CFLAGS = \
- -fno-strict-aliasing \
- $(global_cflags) \
- $(GLOBALDEPS_CFLAGS) \
- $(WEBKITDEPS_CFLAGS) \
- $(LIBCURL_CFLAGS) \
- $(SQLITE3_CFLAGS) \
- $(GSTREAMER_CFLAGS) \
- $(LIBXSLT_CFLAGS) \
- $(COVERAGE_CFLAGS) \
- $(HILDON_CFLAGS)
-
-libWebCore_la_CPPFLAGS = \
- $(ICU_CPPFLAGS) \
- $(global_cppflags) \
- $(webcore_cppflags) \
- $(webkitgtk_cppflags)
-
-libWebCore_la_LIBADD = \
- libJavaScriptCore.la \
- $(webcore_libadd) \
- $(GLOBALDEPS_LIBS) \
- $(WEBKITDEPS_LIBS) \
- $(LIBCURL_LIBS) \
- $(ICU_LIBS) \
- $(SQLITE3_LIBS) \
- $(GSTREAMER_LIBS) \
- $(LIBXSLT_LIBS) \
- $(HILDON_LIBS) \
- -lpthread \
- -ljpeg
-
-libwebkit_1_0_ladir = $(prefix)/include/webkit-1.0/webkit
-libwebkit_1_0_la_HEADERS = $(webkitgtk_h_api)
-
-libwebkit_1_0_la_SOURCES = \
- $(webkitgtk_built_sources) \
- $(webkitgtk_headers) \
- $(webkitgtk_sources)
-
-libwebkit_1_0_la_CXXFLAGS = \
- $(libWebCore_la_CXXFLAGS)
-
-libwebkit_1_0_la_CFLAGS = \
- $(libWebCore_la_CFLAGS)
-
-libwebkit_1_0_la_CPPFLAGS = \
- $(libWebCore_la_CPPFLAGS)
-
-libwebkit_1_0_la_LDFLAGS = \
- $(COVERAGE_LDFLAGS) \
- -version-info @LIBWEBKITGTK_VERSION@
-
-libwebkit_1_0_la_LIBADD = \
- libWebCore.la
-
-#
-# Extra checks and flags
-global_cppflags += \
- -DBUILDING_GTK__=1 \
- -DWTF_CHANGES
-
-if !ENABLE_FAST_MALLOC
-global_cppflags += \
- -DUSE_SYSTEM_MALLOC
-endif
-
-if TARGET_X11
-global_cppflags += -DXP_UNIX
-endif
-
-if !ENABLE_DEBUG
-global_cppflags += -DNDEBUG
-else
-webkitgtk_cppflags += \
- -DG_DISABLE_DEPRECATED \
- -DGDK_PIXBUF_DISABLE_DEPRECATED \
- -DGDK_DISABLE_DEPRECATED \
- -DGTK_DISABLE_DEPRECATED \
- -DPANGO_DISABLE_DEPRECATED
-
-# Might be useful in the future
-# -DGDK_MULTIHEAD_SAFE \
-# -DGTK_MULTIHEAD_SAFE
-endif
-
-if !ENABLE_DATABASE
-global_cppflags += -DENABLE_DATABASE=0
-endif
-
-if !ENABLE_ICONDATABASE
-global_cppflags += -DENABLE_ICONDATABASE=0
-endif
-
-if ENABLE_COVERAGE
-global_cppflags += \
- -DGCC_GENERATE_TEST_COVERAGE_FILES \
- -DGCC_INSTRUMENT_PROGRAM_FLOW_ARCS
-endif
-
-if ENABLE_VIDEO
-webcore_libadd += -lgstinterfaces-0.10 -lgstvideo-0.10
-endif
-
-webkitgtk_cppflags += \
--I$(top_builddir)/WebKit/gtk/webkit \
--DBUILDING_CAIRO__=1 \
--DBUILD_WEBKIT
-
-webkitgtk_h_api += \
- WebKit/gtk/webkit/webkit.h \
- WebKit/gtk/webkit/webkitdefines.h \
- WebKit/gtk/webkit/webkitnetworkrequest.h \
- WebKit/gtk/webkit/webkitwebbackforwardlist.h \
- WebKit/gtk/webkit/webkitwebframe.h \
- WebKit/gtk/webkit/webkitwebhistoryitem.h \
- WebKit/gtk/webkit/webkitwebsettings.h \
- WebKit/gtk/webkit/webkitwebview.h
-
-webkitgtk_built_sources += \
- WebKit/gtk/webkit/webkit-marshal.h \
- WebKit/gtk/webkit/webkit-marshal.cpp
-
-webkitgtk_headers += \
- WebKit/gtk/webkit/webkitprivate.h \
- WebKit/gtk/WebCoreSupport/ChromeClientGtk.h \
- WebKit/gtk/WebCoreSupport/ContextMenuClientGtk.h \
- WebKit/gtk/WebCoreSupport/DragClientGtk.h \
- WebKit/gtk/WebCoreSupport/EditorClientGtk.h \
- WebKit/gtk/WebCoreSupport/FrameLoaderClientGtk.h \
- WebKit/gtk/WebCoreSupport/InspectorClientGtk.h \
- WebKit/gtk/WebCoreSupport/PasteboardHelperGtk.h
-
-webkitgtk_sources += \
- WebKit/gtk/webkit/webkitnetworkrequest.cpp \
- WebKit/gtk/webkit/webkitprivate.cpp \
- WebKit/gtk/webkit/webkitwebbackforwardlist.cpp \
- WebKit/gtk/webkit/webkitwebframe.cpp \
- WebKit/gtk/webkit/webkitwebhistoryitem.cpp \
- WebKit/gtk/webkit/webkitwebsettings.cpp \
- WebKit/gtk/webkit/webkitwebview.cpp \
- WebKit/gtk/WebCoreSupport/ChromeClientGtk.cpp \
- WebKit/gtk/WebCoreSupport/ContextMenuClientGtk.cpp \
- WebKit/gtk/WebCoreSupport/DragClientGtk.cpp \
- WebKit/gtk/WebCoreSupport/EditorClientGtk.cpp \
- WebKit/gtk/WebCoreSupport/FrameLoaderClientGtk.cpp \
- WebKit/gtk/WebCoreSupport/InspectorClientGtk.cpp \
- WebKit/gtk/WebCoreSupport/PasteboardHelperGtk.cpp
-
-webkitgtk_cleanfiles += \
- $(top_builddir)/Programs/GtkLauncher \
- $(top_builddir)/WebKit/gtk/webkit-1.0.pc
-
-pkgconfigdir = $(libdir)/pkgconfig
-pkgconfig_DATA = WebKit/gtk/webkit-1.0.pc
-
-WEBKIT_MARSHAL = $(CURDIR)/WebKit/gtk/webkit/webkit-marshal
-WEBKIT_MARSHAL_LIST = $(srcdir)/WebKit/gtk/webkit/webkit-marshal.list
-
-stamp_files := \
- stamp-webkit-marshal.cpp \
- stamp-webkit-marshal.h
-
-WebKit/gtk/webkit/webkit-marshal.cpp: stamp-webkit-marshal.cpp
- @true
-
-WebKit/gtk/webkit/webkit-marshal.h: stamp-webkit-marshal.h
- @true
-
-stamp-webkit-marshal.cpp: $(WEBKIT_MARSHAL_LIST)
- echo "extern \"C\" {" > $(WEBKIT_MARSHAL).cpp && \
- $(GLIB_GENMARSHAL) --prefix=webkit_marshal $(WEBKIT_MARSHAL_LIST) --body >> $(WEBKIT_MARSHAL).cpp && echo '}' >> $(WEBKIT_MARSHAL).cpp && \
- echo timestamp > $(@F)
-
-stamp-webkit-marshal.h: $(WEBKIT_MARSHAL_LIST)
- $(GLIB_GENMARSHAL) --prefix=webkit_marshal $(WEBKIT_MARSHAL_LIST) --header > $(WEBKIT_MARSHAL).h && \
- echo timestamp > $(@F)
-
-# END WEBKIT GTK+
-
-# Files that will be cleaned
-MAINTAINERCLEANFILES := $(stamp_files) $(BUILT_SOURCES)
-DISTCLEANFILES := $(stamp_files) $(BUILT_SOURCES)
-CLEANFILES := $(stamp_files) $(BUILT_SOURCES)
-
-# Include module makefiles
-include JavaScriptCore/GNUmakefile.am
-include WebCore/GNUmakefile.am
-include WebKitTools/GNUmakefile.am
-
-
-# Autogenerated sources
-BUILT_SOURCES = \
- $(javascriptcore_built_sources) \
- $(javascriptcore_built_nosources) \
- $(webcore_built_sources) \
- $(webcore_built_nosources) \
- $(webkitgtk_built_sources) \
- $(webkitgtk_built_nosources)
-
-# Project-wide clean rules
-CLEANFILES += \
- $(webkitgtk_cleanfiles) \
- $(top_builddir)/Programs/DumpRenderTree \
- $(top_builddir)/Programs/testkjs \
- $(GENSOURCES)
-
-MAINTAINERCLEANFILES += \
- $(srcdir)/aconfig.h.in \
- configure \
- config.* \
- GNUmakefile.in \
- INSTALL \
- README
diff --git a/packages/webkit/files/Makefile b/packages/webkit/files/Makefile
deleted file mode 100644
index 217a035483..0000000000
--- a/packages/webkit/files/Makefile
+++ /dev/null
@@ -1,33 +0,0 @@
-MODULES = JavaScriptCore JavaScriptGlue WebCore WebKit WebKitTools
-
-all:
- @for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
- if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done
-
-debug d development dev develop:
- @for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
- if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done
-
-release r deployment dep deploy:
- @for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
- if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done
-
-universal u:
- @for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
- if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done
-
-x86_64:
- @for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
- if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done
-
-64:
- @for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
- if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done
-
-64u:
- @for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
- if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done
-
-clean:
- @for dir in $(MODULES); do ${MAKE} $@ -C $$dir; exit_status=$$?; \
- if [ $$exit_status -ne 0 ]; then exit $$exit_status; fi; done
diff --git a/packages/webkit/files/Makefile.shared b/packages/webkit/files/Makefile.shared
deleted file mode 100644
index dfad6fb54c..0000000000
--- a/packages/webkit/files/Makefile.shared
+++ /dev/null
@@ -1,30 +0,0 @@
-SCRIPTS_PATH ?= ../WebKitTools/Scripts
-XCODE_OPTIONS = `perl -I$(SCRIPTS_PATH) -Mwebkitdirs -e 'print XcodeOptionString()'` $(ARGS)
-
-all:
- ( xcodebuild $(OTHER_OPTIONS) $(XCODE_OPTIONS) | grep -v setenv && exit $${PIPESTATUS[0]} )
-
-debug d development dev develop: force
- $(SCRIPTS_PATH)/set-webkit-configuration --debug
- ( xcodebuild $(OTHER_OPTIONS) $(XCODE_OPTIONS) | grep -v setenv && exit $${PIPESTATUS[0]} )
-
-release r deployment dep deploy: force
- $(SCRIPTS_PATH)/set-webkit-configuration --release
- ( xcodebuild $(OTHER_OPTIONS) $(XCODE_OPTIONS) | grep -v setenv && exit $${PIPESTATUS[0]} )
-
-universal u: force
- ( xcodebuild $(OTHER_OPTIONS) $(XCODE_OPTIONS) 'ARCHS=ppc i386' | grep -v setenv && exit $${PIPESTATUS[0]} )
-
-x86_64: force
- ( xcodebuild $(OTHER_OPTIONS) $(XCODE_OPTIONS) 'ARCHS=x86_64' | grep -v setenv && exit $${PIPESTATUS[0]} )
-
-64: force
- ( xcodebuild $(OTHER_OPTIONS) $(XCODE_OPTIONS) 'ARCHS=i386 x86_64' | grep -v setenv && exit $${PIPESTATUS[0]} )
-
-64u: force
- ( xcodebuild $(OTHER_OPTIONS) $(XCODE_OPTIONS) 'ARCHS=ppc ppc64 i386 x86_64' | grep -v setenv && exit $${PIPESTATUS[0]} )
-
-clean:
- ( xcodebuild $(OTHER_OPTIONS) -alltargets clean $(XCODE_OPTIONS) | grep -v setenv && exit $${PIPESTATUS[0]} )
-
-force: ;
diff --git a/packages/webkit/files/WebKit.pri b/packages/webkit/files/WebKit.pri
deleted file mode 100644
index 36404ac803..0000000000
--- a/packages/webkit/files/WebKit.pri
+++ /dev/null
@@ -1,104 +0,0 @@
-# Include file to make it easy to include WebKit into Qt projects
-
-
-isEmpty(OUTPUT_DIR) {
- CONFIG(release):OUTPUT_DIR=$$PWD/WebKitBuild/Release
- CONFIG(debug):OUTPUT_DIR=$$PWD/WebKitBuild/Debug
-}
-
-!gtk-port:CONFIG += qt-port
-qt-port:DEFINES += BUILDING_QT__=1
-qt-port:!building-libs {
- QMAKE_LIBDIR = $$OUTPUT_DIR/lib $$QMAKE_LIBDIR
- LIBS += -lQtWebKit
- DEPENDPATH += $$PWD/WebKit/qt/Api
-}
-
-gtk-port:!building-libs {
- QMAKE_LIBDIR = $$OUTPUT_DIR/lib $$QMAKE_LIBDIR
- LIBS += -lWebKitGtk
- DEPENDPATH += $$PWD/WebKit/gtk/WebView $$PWD/WebKit/gtk/WebCoreSupport
-}
-
-gtk-port {
- CONFIG += link_pkgconfig
-
- DEFINES += BUILDING_CAIRO__=1 BUILDING_GTK__=1
-
- # We use FreeType directly with Cairo
- PKGCONFIG += cairo-ft
-
- directfb: PKGCONFIG += cairo-directfb gtk+-directfb-2.0
- else: PKGCONFIG += cairo gtk+-2.0
-
- # Set a CONFIG flag for the GTK+ target (x11, quartz, win32, directfb)
- CONFIG += $$system(pkg-config --variable=target $$PKGCONFIG)
-
- # We use the curl http backend on all platforms
- PKGCONFIG += libcurl
-
- LIBS += -lWebKitGtk -ljpeg -lpng
-
- QMAKE_CXXFLAGS += $$system(icu-config --cppflags)
- QMAKE_LIBS += $$system(icu-config --ldflags)
-
- # This set of warnings is borrowed from the Mac build
- QMAKE_CXXFLAGS += -Wall -W -Wcast-align -Wchar-subscripts -Wformat-security -Wmissing-format-attribute -Wpointer-arith -Wwrite-strings -Wno-format-y2k -Wno-unused-parameter -Wundef
-
- # These flags are based on optimization experience from the Mac port:
- # Helps code size significantly and speed a little
- QMAKE_CXXFLAGS += -fno-exceptions -fno-rtti
-
- DEPENDPATH += $$PWD/JavaScriptCore/API
- INCLUDEPATH += $$PWD
-}
-
-DEFINES += USE_SYSTEM_MALLOC
-CONFIG(release) {
- DEFINES += NDEBUG
-}
-
-gtk-port:CONFIG(debug) {
- DEFINES += G_DISABLE_DEPRECATED GDK_PIXBUF_DISABLE_DEPRECATED GDK_DISABLE_DEPRECATED GTK_DISABLE_DEPRECATED PANGO_DISABLE_DEPRECATED
-# maybe useful for debugging DEFINES += GDK_MULTIHEAD_SAFE GTK_MULTIHEAD_SAFE
-}
-
-BASE_DIR = $$PWD
-qt-port:INCLUDEPATH += \
- $$PWD/WebKit/qt/Api
-gtk-port:INCLUDEPATH += \
- $$BASE_DIR/WebCore/platform/gtk \
- $$BASE_DIR/WebCore/platform/network/curl \
- $$BASE_DIR/WebCore/platform/graphics/cairo \
- $$BASE_DIR/WebCore/loader/gtk \
- $$BASE_DIR/WebCore/page/gtk \
- $$BASE_DIR/WebKit/gtk/WebView \
- $$BASE_DIR/WebKit/gtk/WebCoreSupport
-INCLUDEPATH += \
- $$BASE_DIR/JavaScriptCore/ \
- $$BASE_DIR/JavaScriptCore/kjs \
- $$BASE_DIR/JavaScriptCore/bindings \
- $$BASE_DIR/JavaScriptCore/bindings/c \
- $$BASE_DIR/JavaScriptCore/wtf \
- $$BASE_DIR/JavaScriptCore/ForwardingHeaders \
- $$BASE_DIR/WebCore \
- $$BASE_DIR/WebCore/ForwardingHeaders \
- $$BASE_DIR/WebCore/platform \
- $$BASE_DIR/WebCore/platform/network \
- $$BASE_DIR/WebCore/platform/graphics \
- $$BASE_DIR/WebCore/loader \
- $$BASE_DIR/WebCore/page \
- $$BASE_DIR/WebCore/css \
- $$BASE_DIR/WebCore/dom \
- $$BASE_DIR/WebCore/bridge \
- $$BASE_DIR/WebCore/editing \
- $$BASE_DIR/WebCore/rendering \
- $$BASE_DIR/WebCore/history \
- $$BASE_DIR/WebCore/xml \
- $$BASE_DIR/WebCore/html
-
-
-macx {
- INCLUDEPATH += /usr/include/libxml2
- LIBS += -lxml2 -lxslt
-}
diff --git a/packages/webkit/files/WebKit.pro b/packages/webkit/files/WebKit.pro
deleted file mode 100644
index 027017bd8d..0000000000
--- a/packages/webkit/files/WebKit.pro
+++ /dev/null
@@ -1,17 +0,0 @@
-TEMPLATE = subdirs
-CONFIG += ordered
-!gtk-port:CONFIG += qt-port
-qt-port:!win32-*:SUBDIRS += WebKit/qt/Plugins
-SUBDIRS += \
- WebCore \
- JavaScriptCore/kjs/testkjs.pro
-
-qt-port {
- SUBDIRS += WebKit/qt/QtLauncher
-
- !win32-*: SUBDIRS += WebKitTools/DumpRenderTree/qt/DumpRenderTree.pro
-}
-
-gtk-port:SUBDIRS += \
- WebKitTools/GtkLauncher \
- WebKitTools/DumpRenderTree/gtk/DumpRenderTree.pro
diff --git a/packages/webkit/files/acinclude.m4 b/packages/webkit/files/acinclude.m4
deleted file mode 100644
index 8c75480ae0..0000000000
--- a/packages/webkit/files/acinclude.m4
+++ /dev/null
@@ -1,177 +0,0 @@
-dnl dolt, a replacement for libtool
-dnl Copyright © 2007-2008 Josh Triplett <josh@freedesktop.org>
-dnl Copying and distribution of this file, with or without modification,
-dnl are permitted in any medium without royalty provided the copyright
-dnl notice and this notice are preserved.
-dnl
-dnl To use dolt, invoke the DOLT macro immediately after the libtool macros.
-dnl Optionally, copy this file into acinclude.m4, to avoid the need to have it
-dnl installed when running autoconf on your project.
-
-AC_DEFUN([DOLT], [
-AC_REQUIRE([AC_CANONICAL_HOST])
-# dolt, a replacement for libtool
-# Josh Triplett <josh@freedesktop.org>
-AC_PATH_PROG(DOLT_BASH, bash)
-AC_MSG_CHECKING([if dolt supports this host])
-dolt_supported=yes
-if test x$DOLT_BASH = x; then
- dolt_supported=no
-fi
-if test x$GCC != xyes; then
- dolt_supported=no
-fi
-case $host in
-i?86-*-linux*|x86_64-*-linux*|powerpc-*-linux* \
-|amd64-*-freebsd*|i?86-*-freebsd*|ia64-*-freebsd*)
- pic_options='-fPIC'
- ;;
-i?86-apple-darwin*)
- pic_options='-fno-common'
- ;;
-*)
- dolt_supported=no
- ;;
-esac
-if test x$dolt_supported = xno ; then
- AC_MSG_RESULT([no, falling back to libtool])
- LTCOMPILE='$(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(COMPILE)'
- LTCXXCOMPILE='$(LIBTOOL) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXXCOMPILE)'
-else
- AC_MSG_RESULT([yes, replacing libtool])
-
-dnl Start writing out doltcompile.
- cat <<__DOLTCOMPILE__EOF__ >doltcompile
-#!$DOLT_BASH
-__DOLTCOMPILE__EOF__
- cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
-args=("$[]@")
-for ((arg=0; arg<${#args@<:@@@:>@}; arg++)) ; do
- if test x"${args@<:@$arg@:>@}" = x-o ; then
- objarg=$((arg+1))
- break
- fi
-done
-if test x$objarg = x ; then
- echo 'Error: no -o on compiler command line' 1>&2
- exit 1
-fi
-lo="${args@<:@$objarg@:>@}"
-obj="${lo%.lo}"
-if test x"$lo" = x"$obj" ; then
- echo "Error: libtool object file name \"$lo\" does not end in .lo" 1>&2
- exit 1
-fi
-objbase="${obj##*/}"
-__DOLTCOMPILE__EOF__
-
-dnl Write out shared compilation code.
- if test x$enable_shared = xyes; then
- cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
-libobjdir="${obj%$objbase}.libs"
-if test ! -d "$libobjdir" ; then
- mkdir_out="$(mkdir "$libobjdir" 2>&1)"
- mkdir_ret=$?
- if test "$mkdir_ret" -ne 0 && test ! -d "$libobjdir" ; then
- echo "$mkdir_out" 1>&2
- exit $mkdir_ret
- fi
-fi
-pic_object="$libobjdir/$objbase.o"
-args@<:@$objarg@:>@="$pic_object"
-__DOLTCOMPILE__EOF__
- cat <<__DOLTCOMPILE__EOF__ >>doltcompile
-"\${args@<:@@@:>@}" $pic_options -DPIC || exit \$?
-__DOLTCOMPILE__EOF__
- fi
-
-dnl Write out static compilation code.
-dnl Avoid duplicate compiler output if also building shared objects.
- if test x$enable_static = xyes; then
- cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
-non_pic_object="$obj.o"
-args@<:@$objarg@:>@="$non_pic_object"
-__DOLTCOMPILE__EOF__
- if test x$enable_shared = xyes; then
- cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
-"${args@<:@@@:>@}" >/dev/null 2>&1 || exit $?
-__DOLTCOMPILE__EOF__
- else
- cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
-"${args@<:@@@:>@}" || exit $?
-__DOLTCOMPILE__EOF__
- fi
- fi
-
-dnl Write out the code to write the .lo file.
-dnl The second line of the .lo file must match "^# Generated by .*libtool"
- cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
-{
-echo "# $lo - a libtool object file"
-echo "# Generated by doltcompile, not libtool"
-__DOLTCOMPILE__EOF__
-
- if test x$enable_shared = xyes; then
- cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
-echo "pic_object='.libs/${objbase}.o'"
-__DOLTCOMPILE__EOF__
- else
- cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
-echo pic_object=none
-__DOLTCOMPILE__EOF__
- fi
-
- if test x$enable_static = xyes; then
- cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
-echo "non_pic_object='${objbase}.o'"
-__DOLTCOMPILE__EOF__
- else
- cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
-echo non_pic_object=none
-__DOLTCOMPILE__EOF__
- fi
-
- cat <<'__DOLTCOMPILE__EOF__' >>doltcompile
-} > "$lo"
-__DOLTCOMPILE__EOF__
-
-dnl Done writing out doltcompile; substitute it for libtool compilation.
- chmod +x doltcompile
- LTCOMPILE='$(top_builddir)/doltcompile $(COMPILE)'
- LTCXXCOMPILE='$(top_builddir)/doltcompile $(CXXCOMPILE)'
-
-dnl automake ignores LTCOMPILE and LTCXXCOMPILE when it has separate CFLAGS for
-dnl a target, so write out a libtool wrapper to handle that case.
-dnl Note that doltlibtool does not handle inferred tags or option arguments
-dnl without '=', because automake does not use them.
- cat <<__DOLTLIBTOOL__EOF__ > doltlibtool
-#!$DOLT_BASH
-__DOLTLIBTOOL__EOF__
- cat <<'__DOLTLIBTOOL__EOF__' >>doltlibtool
-top_builddir_slash="${0%%doltlibtool}"
-: ${top_builddir_slash:=./}
-args=()
-modeok=false
-tagok=false
-for arg in "$[]@"; do
- case "$arg" in
- --mode=compile) modeok=true ;;
- --tag=CC|--tag=CXX) tagok=true ;;
- *) args+=("$arg")
- esac
-done
-if $modeok && $tagok ; then
- . ${top_builddir_slash}doltcompile "${args@<:@@@:>@}"
-else
- exec ${top_builddir_slash}libtool "$[]@"
-fi
-__DOLTLIBTOOL__EOF__
-
-dnl Done writing out doltlibtool; substitute it for libtool.
- chmod +x doltlibtool
- LIBTOOL='$(top_builddir)/doltlibtool'
-fi
-AC_SUBST(LTCOMPILE)
-AC_SUBST(LTCXXCOMPILE)
-# end dolt
-])
diff --git a/packages/webkit/files/autogen.sh b/packages/webkit/files/autogen.sh
deleted file mode 100644
index 1c0fc61156..0000000000
--- a/packages/webkit/files/autogen.sh
+++ /dev/null
@@ -1,45 +0,0 @@
-#! /bin/sh
-
-# Allow invocation from a separate build directory; in that case, we change
-# to the source directory to run the auto*, then change back before running configure
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
-
-ORIGDIR=`pwd`
-cd $srcdir
-
-DIE=0
-
-(autoconf --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have autoconf installed to compile $PROJECT."
- echo "Install the appropriate package for your distribution,"
- echo "or get the source tarball at http://ftp.gnu.org/gnu/autoconf/"
- DIE=1
-}
-
-(automake --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have automake installed to compile $PROJECT."
- echo "Install the appropriate package for your distribution,"
- echo "or get the source tarball at http://ftp.gnu.org/gnu/automake/"
- DIE=1
-}
-
-if test "$DIE" -eq 1; then
- exit 1
-fi
-
-rm -rf $top_srcdir/autom4te.cache
-
-touch README INSTALL
-
-aclocal || exit $?
-libtoolize --force || exit $?
-autoheader || exit $?
-automake --foreign --add-missing || exit $?
-autoconf || exit $?
-
-cd $ORIGDIR || exit 1
-
-$srcdir/configure $AUTOGEN_CONFIGURE_ARGS "$@" || exit $?
diff --git a/packages/webkit/files/configure.ac b/packages/webkit/files/configure.ac
deleted file mode 100644
index 404e5a0d6a..0000000000
--- a/packages/webkit/files/configure.ac
+++ /dev/null
@@ -1,507 +0,0 @@
-AC_INIT([WebKit],[0.1],[http://bugs.webkit.org/])
-
-AC_PREREQ(2.59)
-
-AC_CONFIG_HEADERS([aconfig.h])
-AC_CONFIG_SRCDIR([WebCore/config.h])
-
-# see http://www.gnu.org/software/libtool/manual.html#Versioning
-LIBWEBKITGTK_VERSION=1:0:0
-AC_SUBST([LIBWEBKITGTK_VERSION])
-
-AM_INIT_AUTOMAKE([foreign subdir-objects])
-
-AC_CANONICAL_HOST
-
-# host checking - inspired by the GTK+ configure.in
-# TODO: os_mac, os_bsd
-AC_MSG_CHECKING([for native Win32])
-case "$host" in
- *-*-mingw*)
- os_win32=yes
- ;;
- *)
- os_win32=no
- ;;
-esac
-AC_MSG_RESULT([$os_win32])
-
-case "$host" in
- *-*-linux*)
- os_linux=yes
- ;;
- *-*-freebsd*)
- os_freebsd=yes
- ;;
- *-*-darwin*)
- os_darwin=yes
- ;;
-esac
-
-# If CXXFLAGS and CFLAGS are unset, default to -O2
-# This is to tell automake not to include '-g' if CXXFLAGS is not set
-# For more info - http://www.gnu.org/software/automake/manual/autoconf.html#C_002b_002b-Compiler
-if test -z "$CXXFLAGS"; then
- CXXFLAGS="-O2"
-fi
-if test -z "$CFLAGS"; then
- CFLAGS="-O2"
-fi
-
-# programs
-AC_DISABLE_STATIC
-AM_PROG_LIBTOOL
-AC_PROG_INSTALL
-AM_PROG_CC_STDC
-AC_PROG_CXX
-AM_PROG_CC_C_O
-
-# check for -fvisibility=hidden compiler support (GCC >= 4)
-saved_CFLAGS="$CFLAGS"
-CFLAGS="$CFLAGS -fvisibility=hidden -fvisibility-inlines-hidden"
-AC_MSG_CHECKING([if ${CXX} supports -fvisibility=hidden -fvisibility-inlines-hidden])
-AC_COMPILE_IFELSE([char foo;],
- [ AC_MSG_RESULT([yes])
- SYMBOL_VISIBILITY="-fvisibility=hidden" SYMBOL_VISIBILITY_INLINES="-fvisibility-inlines-hidden" ],
- AC_MSG_RESULT([no]))
-CFLAGS="$saved_CFLAGS"
-AC_SUBST(SYMBOL_VISIBILITY)
-AC_SUBST(SYMBOL_VISIBILITY_INLINES)
-
-AC_PATH_PROG(PERL, perl)
-if test -z "$PERL"; then
- AC_MSG_ERROR([You need 'perl' to compile WebKit])
-fi
-
-AC_PATH_PROG(BISON, bison)
-if test -z "$BISON"; then
- AC_MSG_ERROR([You need the 'bison' parser generator to compile WebKit])
-fi
-
-AC_PATH_PROG(FLEX, flex)
-if test -z "$FLEX"; then
- AC_MSG_ERROR([You need the 'flex' lexer generator to compile WebKit])
-fi
-
-AC_PATH_PROG(GPERF, gperf)
-if test -z "$GPERF"; then
- AC_MSG_ERROR([You need the 'gperf' hash function generator to compile WebKit])
-fi
-
-AC_PATH_PROG(MV, mv)
-if test -z "$MV"; then
- AC_MSG_ERROR([You need 'mv' to compile WebKit])
-fi
-
-# GTK+ port only
-# Check for glib-genmarshal and glib-mkenums
-AC_PATH_PROG([GLIB_GENMARSHAL], [glib-genmarshal])
-AC_PATH_PROG([GLIB_MKENUMS],[glib-mkenums])
-
-# Check whether a C++ was found (AC_PROG_CXX sets $CXX to "g++" even when it
-# doesn't exist)
-AC_LANG_PUSH([C++])
-AC_COMPILE_IFELSE([AC_LANG_PROGRAM([],[])],[],[AC_MSG_ERROR([No C++ compiler found])])
-AC_LANG_POP([C++])
-
-# C/C++ Language Features
-AC_C_CONST
-AC_C_INLINE
-AC_C_VOLATILE
-
-# C/C++ Headers
-AC_HEADER_STDC
-AC_HEADER_STDBOOL
-
-# pthread (not needed on Windows)
-if test "$os_win32" = "no"; then
-AC_CHECK_HEADERS([pthread.h],
- AC_DEFINE([HAVE_PTHREAD_H],[1],[Define if pthread exist]),
- AC_MSG_ERROR([pthread support is required to build WebKit]))
-fi
-
-# libjpeg headers
-AC_CHECK_HEADERS([jpeglib.h])
-
-# check for pkg-config
-AC_PATH_PROG(PKG_CONFIG, pkg-config, no)
-if test "$PKG_CONFIG" = "no"; then
- AC_MSG_ERROR([Cannot find pkg-config, make sure it is installed in your PATH])
-fi
-
-# check for icu-config
-if test "$os_darwin" = "yes"; then
-ICU_CPPFLAGS="-I\$(srcdir)/JavaScriptCore/icu -I\$(srcdir)/WebCore/icu"
-ICU_LIBS="-licucore"
-else
-AC_PATH_PROG(icu_config, icu-config, no)
-if test "$icu_config" = "no"; then
- AC_MSG_ERROR([Cannot find icu-config. ICU library is needed.])
-fi
-
-# We don't use --cflags as this gives us a lot of things that we don't
-# necessarily want, like debugging and optimization flags
-# See man (1) icu-config for more info.
-ICU_CPPFLAGS=`$icu_config --cppflags`
-ICU_LIBS=`$icu_config --ldflags`
-AC_SUBST([ICU_CPPFLAGS])
-AC_SUBST([ICU_LIBS])
-fi
-
-# determine the GDK/GTK+ target
-AC_MSG_CHECKING([the target windowing system])
-AC_ARG_WITH(target,
- AC_HELP_STRING([--with-target=@<:@x11/win32/quartz/directfb@:>@],
- [Select webkit target [default=x11]]),
- [],[with_target="x11"])
-
-case "$with_target" in
- x11|win32|quartz|directfb) ;;
- *) AC_MSG_ERROR([Invalid target: must be x11, quartz, win32, or directfb.]) ;;
-esac
-
-AC_MSG_RESULT([$with_target])
-
-AC_MSG_CHECKING([for Hildon UI extensions])
-AC_ARG_WITH(hildon,
- AC_HELP_STRING([--with-hildon],
- [Use Hildon UI extensions [default=no]]),
- [],[with_hildon="no"])
-AC_MSG_RESULT([$with_hildon])
-
-if test "$with_hildon" = "yes"; then
- HILDON_CPPFLAGS="-DMAEMO_CHANGES"
- PKG_CHECK_MODULES([HILDON], [hildon-1])
- AC_SUBST([HILDON_CPPFLAGS])
- AC_SUBST([HILDON_CFLAGS])
- AC_SUBST([HILDON_LIBS])
-fi
-
-# determine the http backend
-AC_MSG_CHECKING([the HTTP backend to use])
-AC_ARG_WITH(http_backend,
- AC_HELP_STRING([--with-http-backend=@<:@curl@:>@],
- [Select HTTP backend [default=curl]]),
- [],[http_backend="curl"])
-
-case "$http_backend" in
- curl) ;;
- *) AC_MSG_ERROR([Invalid HTTP backend: must be curl.]) ;;
-esac
-
-AC_MSG_RESULT([$http_backend])
-
-# minimum base dependencies
-CAIRO_REQUIRED_VERSION=1.4
-FONTCONFIG_REQUIRED_VERSION=2.4
-FREETYPE2_REQUIRED_VERSION=9.0
-LIBXML_REQUIRED_VERSION=2.6
-
-# minimum GTK+ base dependencies
-GLIB_REQUIRED_VERSION=2.0
-GOBJECT_REQUIRED_VERSION=2.0
-GTHREAD_REQUIRED_VERSION=2.0
-PANGO_REQUIRED_VERSION=1.0
-GTK_REQUIRED_VERSION=2.8
-
-# optional modules
-LIBCURL_REQUIRED_VERSION=7.15
-LIBXSLT_REQUIRED_VERSION=1.1.7
-SQLITE_REQUIRED_VERSION=3.0
-GSTREAMER_REQUIRED_VERSION=0.10
-GNOME_VFS_REQUIRED_VERSION=2.0
-
-PKG_CHECK_MODULES([GLOBALDEPS],
- [glib-2.0 >= $GLIB_REQUIRED_VERSION
- gobject-2.0 >= $GOBJECT_REQUIRED_VERSION
- gthread-2.0 >= $GTHREAD_REQUIRED_VERSION])
-AC_SUBST([GLOBALDEPS_CFLAGS])
-AC_SUBST([GLOBALDEPS_LIBS])
-
-PKG_CHECK_MODULES([WEBKITDEPS],
- [gtk+-2.0 >= $GTK_REQUIRED_VERSION
- pango >= $PANGO_REQUIRED_VERSION
- cairo >= $CAIRO_REQUIRED_VERSION
- cairo-ft,
- fontconfig >= $FONTCONFIG_REQUIRED_VERSION
- freetype2 >= $FREETYPE2_REQUIRED_VERSION
- libxml-2.0 >= $LIBXML_REQUIRED_VERSION])
-AC_SUBST([WEBKITDEPS_CFLAGS])
-AC_SUBST([WEBKITDEPS_LIBS])
-
-# check whether to build with debugging enabled
-AC_MSG_CHECKING([whether to do a debug build])
-AC_ARG_ENABLE(debug,
- AC_HELP_STRING([--enable-debug],
- [turn on debugging [default=no]]),
- [],[enable_debug="no"])
-AC_MSG_RESULT([$enable_debug])
-
-# check whether to build with cross-document messaging support
-AC_MSG_CHECKING([whether to enable HTML5 cross-document messaging support])
-AC_ARG_ENABLE(cross_document_messaging,
- AC_HELP_STRING([--enable-cross-document-messaging],
- [enable HTML5 cross-document messaging support [default=yes]]),
- [],[enable_cross_document_messaging="yes"])
-AC_MSG_RESULT([$enable_cross_document_messaging])
-
-# check whether to build with database support
-AC_MSG_CHECKING([whether to enable HTML5 client-side storage support])
-AC_ARG_ENABLE(database,
- AC_HELP_STRING([--enable-database],
- [enable HTML5 client-side storage support [default=yes]]),
- [],[enable_database="yes"])
-AC_MSG_RESULT([$enable_database])
-
-# check whether to build with icon database support
-AC_MSG_CHECKING([whether to enable icon database support])
-AC_ARG_ENABLE(icon_database,
- AC_HELP_STRING([--enable-icon-database],
- [enable icon database [default=no]]),
- [],[enable_icon_database="no"])
-AC_MSG_RESULT([$enable_icon_database])
-
-# check whether to enable HTML5 audio/video support
-AC_MSG_CHECKING([whether to enable HTML5 video support])
-AC_ARG_ENABLE(video,
- AC_HELP_STRING([--enable-video],
- [enable HTML5 video support [default=no]]),
- [],[enable_video="no"])
-AC_MSG_RESULT([$enable_video])
-
-# check whether to enable XPath support
-AC_MSG_CHECKING([whether to enable XPath support])
-AC_ARG_ENABLE(xpath,
- AC_HELP_STRING([--enable-xpath],
- [enable support for XPath [default=yes]]),
- [],[enable_xpath="yes"])
-AC_MSG_RESULT([$enable_xpath])
-
-# check whether to enable XSLT support
-AC_MSG_CHECKING([whether to enable XSLT support])
-AC_ARG_ENABLE(xslt,
- AC_HELP_STRING([--enable-xslt],
- [enable support for XSLT [default=yes]]),
- [],[enable_xslt="yes"])
-AC_MSG_RESULT([$enable_xslt])
-
-# check whether to enable SVG experimental features
-# Enable all SVG if it is
-AC_MSG_CHECKING([whether to enable SVG experimental features])
-AC_ARG_ENABLE(svg_experimental,
- AC_HELP_STRING([--enable-svg-experimental],
- [enable support for SVG experimental features [default=no]]),
- [],[enable_svg_experimental="no"])
-AC_MSG_RESULT([$enable_svg_experimental])
-
-if test "$enable_svg_experimental" = "yes"; then
- enable_svg=yes
- enable_svg_animation=yes
-# enable_svg_filters=yes
- enable_svg_fonts=yes
- enable_svg_foreign_object=yes
- enable_svg_as_image=yes
- enable_svg_use_element=yes
-fi
-
-# check whether to enable SVG support
-AC_MSG_CHECKING([whether to enable SVG support])
-AC_ARG_ENABLE(svg,
- AC_HELP_STRING([--enable-svg],
- [enable support for SVG [default=no]]),
- [],[enable_svg="no"])
-AC_MSG_RESULT([$enable_svg])
-
-# check whether to enable support for SVG animation
-AC_MSG_CHECKING([whether to enable support for SVG animation])
-AC_ARG_ENABLE(svg_animation,
- AC_HELP_STRING([--enable-svg-animation],
- [enable support for SVG animation (experimental) [default=no]]),
- [],[enable_svg_animation="no"])
-AC_MSG_RESULT([$enable_svg_animation])
-
-# check whether to enable support for SVG filters
-AC_MSG_CHECKING([whether to enable support for SVG filters])
-AC_ARG_ENABLE(svg_filters,
- AC_HELP_STRING([--enable-svg-filters],
- [enable support for SVG filters (experimental) [default=no]]),
- [],[enable_svg_filters="no"])
-AC_MSG_RESULT([$enable_svg_filters])
-
-# check whether to enable support for SVG fonts
-AC_MSG_CHECKING([whether to enable support for SVG fonts])
-AC_ARG_ENABLE(svg_fonts,
- AC_HELP_STRING([--enable-svg-fonts],
- [enable support for SVG fonts (experimental) [default=no]]),
- [],[enable_svg_fonts="no"])
-AC_MSG_RESULT([$enable_svg_fonts])
-
-# check whether to enable foreign objects support for SVG
-AC_MSG_CHECKING([whether to enable support for SVG foreign objects])
-AC_ARG_ENABLE(svg_foreign_object,
- AC_HELP_STRING([--enable-svg-foreign-object],
- [enable support for SVG foreign objects (experimental) [default=no]]),
- [],[enable_svg_foreign_object="no"])
-AC_MSG_RESULT([$enable_svg_foreign_object])
-
-# check whether to enable SVG As Image support
-AC_MSG_CHECKING([whether to enable SVG as Image support])
-AC_ARG_ENABLE(svg_as_image,
- AC_HELP_STRING([--enable-svg-as-image],
- [enable SVG as Image support (experimental) [default=no]]),
- [],[enable_svg_as_image="no"])
-AC_MSG_RESULT([$enable_svg_as_image])
-
-# check whether to enable SVG USE element support
-AC_MSG_CHECKING([whether to enable support for SVG use element])
-AC_ARG_ENABLE(svg_use_element,
- AC_HELP_STRING([--enable-svg-use-element],
- [enable SVG use element support (experimental) [default=no]]),
- [],[enable_svg_use_element="no"])
-AC_MSG_RESULT([$enable_svg_use_element])
-
-# check whether to enable code coverage
-AC_MSG_CHECKING([whether to enable code coverage support])
-AC_ARG_ENABLE(coverage,
- AC_HELP_STRING([--enable-coverage],
- [enable code coverage support [default=no]]),
- [],[enable_coverage="no"])
-AC_MSG_RESULT([$enable_coverage])
-
-# check whether to enable FastMalloc
-AC_MSG_CHECKING([whether to enable optimized memory allocator])
-AC_ARG_ENABLE(fast_malloc,
- AC_HELP_STRING([--enable-fast-malloc],
- [enable optimized memory allocator default=yes, default=no for debug builds]),
- [],[if test "$enable_debug" = "yes"; then enable_fast_malloc="no"; else enable_fast_malloc="yes"; fi])
-AC_MSG_RESULT([$enable_fast_malloc])
-
-# Add '-g' flag to gcc if it's debug build
-if test "$enable_debug" = "yes"; then
- CXXFLAGS="$CXXFLAGS -g"
- CFLAGS="$CFLAGS -g"
-fi
-
-# check if curl is available
-if test "$http_backend" = "curl"; then
- PKG_CHECK_MODULES([LIBCURL],
- [libcurl >= $LIBCURL_REQUIRED_VERSION])
- AC_SUBST([LIBCURL_CFLAGS])
- AC_SUBST([LIBCURL_LIBS])
-fi
-
-# check if sqlite 3 is available
-if test "$enable_icon_database" = "yes" || test "$enable_database" = "yes"; then
- PKG_CHECK_MODULES([SQLITE3], [sqlite3 >= $SQLITE_REQUIRED_VERSION])
- AC_SUBST([SQLITE3_CFLAGS])
- AC_SUBST([SQLITE3_LIBS])
-fi
-
-# check if libxslt is available
-if test "$enable_xslt" = "yes"; then
- PKG_CHECK_MODULES([LIBXSLT],[libxslt >= $LIBXSLT_REQUIRED_VERSION])
- AC_SUBST([LIBXSLT_CFLAGS])
- AC_SUBST([LIBXSLT_LIBS])
-fi
-
-# check if gstreamer is available
-if test "$enable_video" = "yes"; then
- PKG_CHECK_MODULES([GSTREAMER],
- [gstreamer-0.10 >= $GSTREAMER_REQUIRED_VERSION
- gstreamer-base-0.10,
- gstreamer-plugins-base-0.10,
- gnome-vfs-2.0 >= $GNOME_VFS_REQUIRED_VERSION])
- AC_SUBST([GSTREAMER_CFLAGS])
- AC_SUBST([GSTREAMER_LIBS])
-fi
-
-# check for code coverage support
-if test "$enable_coverage" = "yes"; then
- COVERAGE_CFLAGS="-MD"
- COVERAGE_LDFLAGS="-ftest-coverage -fprofile-arcs"
- AC_SUBST([COVERAGE_CFLAGS])
- AC_SUBST([COVERAGE_LDFLAGS])
-fi
-
-# check for SVG features, enabling SVG if necessary
-if test "$enable_svg_animation" = "yes" || \
- test "$enable_svg_filters" = "yes" || \
- test "$enable_svg_fonts" = "yes" || \
- test "$enable_svg_foreign_object" = "yes" || \
- test "$enable_svg_as_image" = "yes" || \
- test "$enable_svg_use_element" = "yes"; then
- svg_flags=yes
- if test "$enable_svg" = "no"; then
- AC_MSG_WARN([SVG feature(s) requested but SVG is disabled.. Enabling SVG support])
- enable_svg=yes
- fi
-fi
-
-# OS conditionals
-AM_CONDITIONAL([OS_WIN32],[test "$os_win32" = "yes"])
-AM_CONDITIONAL([OS_UNIX],[test "$os_win32" = "no"])
-AM_CONDITIONAL([OS_LINUX],[test "$os_linux" = "yes"])
-AM_CONDITIONAL([OS_FREEBSD],[test "$os_freebsd" = "yes"])
-
-# target conditionals
-AM_CONDITIONAL([TARGET_X11], [test "$with_target" = "x11"])
-AM_CONDITIONAL([TARGET_WIN32], [test "$with_target" = "win32"])
-AM_CONDITIONAL([TARGET_QUARTZ], [test "$with_target" = "quartz"])
-AM_CONDITIONAL([TARGET_DIRECTFB], [test "$with_target" = "directfb"])
-
-# HTTP backend conditionals
-AM_CONDITIONAL([USE_CURL], [test "$http_backend" = "curl"])
-
-# WebKit feature conditionals
-AM_CONDITIONAL([ENABLE_DEBUG],[test "$enable_debug" = "yes"])
-AM_CONDITIONAL([ENABLE_CROSS_DOCUMENT_MESSAGING],[test "$enable_cross_document_messaging" = "yes"])
-AM_CONDITIONAL([ENABLE_DATABASE],[test "$enable_database" = "yes"])
-AM_CONDITIONAL([ENABLE_ICONDATABASE],[test "$enable_icon_database" = "yes"])
-AM_CONDITIONAL([ENABLE_XPATH],[test "$enable_xpath" = "yes"])
-AM_CONDITIONAL([ENABLE_XSLT],[test "$enable_xslt" = "yes"])
-AM_CONDITIONAL([ENABLE_VIDEO],[test "$enable_video" = "yes"])
-AM_CONDITIONAL([ENABLE_SVG],[test "$enable_svg" = "yes"])
-AM_CONDITIONAL([ENABLE_SVG_ANIMATION],[test "$enable_svg_animation" = "yes"])
-AM_CONDITIONAL([ENABLE_SVG_FILTERS],[test "$enable_svg_filters" = "yes"])
-AM_CONDITIONAL([ENABLE_SVG_FONTS],[test "$enable_svg_fonts" = "yes"])
-AM_CONDITIONAL([ENABLE_SVG_FOREIGN_OBJECT],[test "$enable_svg_foreign_object" = "yes"])
-AM_CONDITIONAL([ENABLE_SVG_AS_IMAGE],[test "$enable_svg_as_image" = "yes"])
-AM_CONDITIONAL([ENABLE_SVG_USE],[test "$enable_svg_use_element" = "yes"])
-AM_CONDITIONAL([ENABLE_COVERAGE],[test "$enable_coverage" = "yes"])
-AM_CONDITIONAL([ENABLE_FAST_MALLOC],[test "$enable_fast_malloc" = "yes"])
-AM_CONDITIONAL([SVG_FLAGS],[test "$svg_flags" = "yes"])
-
-AC_CONFIG_FILES([
-GNUmakefile
-WebKit/gtk/webkit-1.0.pc:WebKit/gtk/webkit.pc.in
-]
-)
-
-AC_OUTPUT
-
-echo "
-WebKit was configured with the following options:
-
-Build configuration:
- Enable debugging (slow) : $enable_debug
- Code coverage support : $enable_coverage
- HTTP backend : $http_backend
- Optimized memory allocator : $enable_fast_malloc
-Features:
- HTML5 cross-document messaging : $enable_cross_document_messaging
- HTML5 client-side storage support : $enable_database
- HTML5 video element support : $enable_video
- Icon database support : $enable_icon_database
- SVG support : $enable_svg
- SVG animation support : $enable_svg_animation
- SVG filters support : $enable_svg_filters
- SVG fonts support : $enable_svg_fonts
- SVG foreign object support : $enable_svg_foreign_object
- SVG as image support : $enable_svg_as_image
- SVG use element support : $enable_svg_use_element
- XPATH support : $enable_xpath
- XSLT support : $enable_xslt
-GTK+ configuration:
- GDK target : $with_target
- Hildon UI extensions : $with_hildon
-"